APPEND Player1

IF WEIGHT #-9~Global("InnerD","GLOBAL",1)~THEN BEGIN InnerDream00
SAY @0
IF~!CombatCounter(0)~THEN DO ~SetGlobal("InnerD","GLOBAL",0)~ GOTO InnerDream00F
IF~CombatCounter(0)~THEN DO ~SetGlobal("InnerD","GLOBAL",0)~ GOTO InnerDream000
END

IF~~THEN BEGIN InnerDream00F
SAY @1
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDream000
SAY @2
IF~~THEN REPLY @3 GOTO InnerDream001
IF~~THEN REPLY @4 GOTO InnerDream002
IF~~THEN REPLY @5 GOTO InnerDream003
IF~~THEN REPLY @6 GOTO InnerDream004
IF~~THEN REPLY @7 GOTO InnerDream005
IF~~THEN REPLY @8 GOTO InnerDream006
IF~Global("InnerDD","GLOBAL",0)~THEN REPLY @9 DO ~SetGlobal("InnerDD","GLOBAL",1)~ GOTO InnerDream007
IF~~THEN REPLY @10 GOTO InnerDream008
IF~Global("InnerDFriendship","GLOBAL",0)~THEN REPLY @11 DO ~SetGlobal("InnerDFriendship","GLOBAL",1) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF1x00
IF~Global("InnerDFriendship","GLOBAL",1) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @12 DO ~SetGlobal("InnerDFriendship","GLOBAL",2) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF2x00
IF~Global("InnerDFriendship","GLOBAL",2) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @13 DO ~SetGlobal("InnerDFriendship","GLOBAL",3) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF3x00
IF~Global("InnerDFriendship","GLOBAL",3) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @14 DO ~SetGlobal("InnerDFriendship","GLOBAL",4) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF4x00
IF~Global("InnerDFriendship","GLOBAL",4) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @15 DO ~SetGlobal("InnerDFriendship","GLOBAL",5)~ GOTO InnerDreamF5x00
IF~~THEN REPLY @16 GOTO InnerDream00N
END

IF~~THEN BEGIN InnerDream00B
SAY @17
IF~~THEN REPLY @18 GOTO InnerDream001
IF~~THEN REPLY @19 GOTO InnerDream002
IF~~THEN REPLY @20 GOTO InnerDream003
IF~~THEN REPLY @21 GOTO InnerDream004
IF~~THEN REPLY @22 GOTO InnerDream005
IF~~THEN REPLY @23 GOTO InnerDream006
IF~Global("InnerDD","GLOBAL",0)~THEN REPLY @24 DO ~SetGlobal("InnerDD","GLOBAL",1)~ GOTO InnerDream007
IF~~THEN REPLY @25 GOTO InnerDream008
IF~Global("InnerDFriendship","GLOBAL",0)~THEN REPLY @26 DO ~SetGlobal("InnerDFriendship","GLOBAL",1) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF1x00
IF~Global("InnerDFriendship","GLOBAL",1) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @27 DO ~SetGlobal("InnerDFriendship","GLOBAL",2) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF2x00
IF~Global("InnerDFriendship","GLOBAL",2) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @28 DO ~SetGlobal("InnerDFriendship","GLOBAL",3) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF3x00
IF~Global("InnerDFriendship","GLOBAL",3) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @29 DO ~SetGlobal("InnerDFriendship","GLOBAL",4) RealSetGlobalTimer("InnerDFriendshipTimer","GLOBAL",4000)~ GOTO InnerDreamF4x00
IF~Global("InnerDFriendship","GLOBAL",4) RealGlobalTimerExpired("InnerDFriendshipTimer","GLOBAL")~THEN REPLY @30 DO ~SetGlobal("InnerDFriendship","GLOBAL",5)~ GOTO InnerDreamF5x00
IF~~THEN REPLY @31 GOTO InnerDream00N
END

IF~~THEN BEGIN InnerDream001
SAY @32
=
@33
=
@34
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream002
SAY @35
IF~~THEN REPLY @36 GOTO InnerDream002-1
IF~~THEN REPLY @37 GOTO InnerDream002-2
IF~~THEN REPLY @38 GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream002-1
SAY @39
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream002-2
SAY @40
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream003
SAY @41
=
@42
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream004
SAY @43
IF~~THEN REPLY @44 GOTO InnerDream004-1
IF~~THEN REPLY @45 GOTO InnerDream004-2
IF~~THEN REPLY @46 GOTO InnerDream004-1
IF~~THEN REPLY @47 GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream004-1
SAY @48
=
@49
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream004-2
SAY@50
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream005
SAY @51
=
@52
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream006
SAY @53
IF~~THEN REPLY @54 GOTO InnerDream006-1
IF~~THEN REPLY @55 GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream006-1
SAY @56
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream007
SAY @57
IF~~THEN REPLY @58 GOTO InnerDream007-1
IF~~THEN REPLY @59 GOTO InnerDream007-2
IF~~THEN REPLY @60 GOTO InnerDream007-3
IF~~THEN REPLY @61 GOTO InnerDream007-4
IF~~THEN REPLY @62 GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream007-1
SAY @63
IF~~THEN GOTO InnerDream007-J
END

IF~~THEN BEGIN InnerDream007-2
SAY @64
IF~~THEN GOTO InnerDream007-J
END

IF~~THEN BEGIN InnerDream007-3
SAY @65
IF~~THEN GOTO InnerDream007-J
END

IF~~THEN BEGIN InnerDream007-4
SAY @66
=
@67
IF~~THEN GOTO InnerDream007-J
END

IF~~THEN BEGIN InnerDream007-J
SAY @68
IF~~THEN REPLY @69 GOTO InnerDream007-1
IF~~THEN REPLY @70 GOTO InnerDream007-2
IF~~THEN REPLY @71 GOTO InnerDream007-3
IF~~THEN REPLY @72 GOTO InnerDream007-4
IF~~THEN REPLY @73 GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDream008
SAY @74
IF~~THEN GOTO InnerDream00B
END

IF~~THEN BEGIN InnerDreamF1x00
SAY @75
=
@76
=
@77
IF~~THEN REPLY @78 GOTO InnerDreamF1x01
IF~~THEN REPLY @79 GOTO InnerDreamF1x02
IF~~THEN REPLY @80 GOTO InnerDreamF1x01
END

IF~~THEN BEGIN InnerDreamF1x02
SAY @81
IF~~THEN GOTO InnerDreamF1x01
END

IF~~THEN BEGIN InnerDreamF1x01
SAY @82
=
@83
IF~~THEN REPLY @84 GOTO InnerDreamF1x03
IF~~THEN REPLY @85 GOTO InnerDreamF1x04
END

IF~~THEN BEGIN InnerDreamF1x03
SAY @86
=
@87
=
@88
=
@89
=
@90
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF1x04
SAY @91
=
@92
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF2x00
SAY @93
=
@94
IF~~THEN REPLY @95 GOTO InnerDreamF2x01
IF~~THEN REPLY @96 GOTO InnerDreamF2x02
END

IF~~THEN BEGIN InnerDreamF2x01
SAY @97
=
@98
IF~~THEN GOTO InnerDreamF2x02
END

IF~~THEN BEGIN InnerDreamF2x02
SAY @99
IF~~THEN REPLY @100 GOTO InnerDreamF2x03
IF~~THEN REPLY @101 GOTO InnerDreamF2x03
IF~~THEN REPLY @102 GOTO InnerDreamF2x04
END

IF~~THEN BEGIN InnerDreamF2x03
SAY @103
=
@104
=
@105
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF2x04
SAY @106
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF3x00
SAY @107
=
@108
=
@109
IF~~THEN REPLY @110 GOTO InnerDreamF3x01
IF~~THEN REPLY @101 GOTO InnerDreamF3x01
END

IF~~THEN BEGIN InnerDreamF3x01
SAY @111
=
@112
=
@113
=
@114
IF~~THEN REPLY @115 GOTO InnerDreamF3x02
IF~~THEN REPLY @116 GOTO InnerDreamF3x02
END

IF~~THEN BEGIN InnerDreamF3x02
SAY @117
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF4x00
SAY @118
=
@119
IF~~THEN REPLY @120 GOTO InnerDreamF4x01
IF~~THEN REPLY @121 GOTO InnerDreamF4x02
END

IF~~THEN BEGIN InnerDreamF4x01
SAY @122
=
@123
=
@124
IF~~THEN REPLY @125 GOTO InnerDreamF4x03
IF~~THEN REPLY @126 GOTO InnerDreamF4x04
END

IF~~THEN BEGIN InnerDreamF4x03
SAY @127
=
@128 
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF4x04
SAY @129
=
@130
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF4x02
SAY @131
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDreamF5x00
SAY @132
=
@133
IF~~THEN EXIT
END

IF~~THEN BEGIN InnerDream00N
SAY @134
IF~~THEN EXIT
END

END